Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 86734 - net-mail/sympa-6.1.7 - A feature-rich open source mailing list software
Summary: net-mail/sympa-6.1.7 - A feature-rich open source mailing list software
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Normal normal with 2 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://www.sympa.org/
Whiteboard: sunrise suggested
Keywords: EBUILD
: 25888 (view as bug list)
Depends on: 382625 382627 382629 382631 382635
Blocks:
  Show dependency tree
 
Reported: 2005-03-25 21:11 UTC by Anthony Gorecki
Modified: 2018-06-07 18:26 UTC (History)
22 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sympa-5.0_beta1.overlay.tar (sympa-5.0_beta1.overlay.tar,30.00 KB, application/x-tar)
2005-03-25 21:12 UTC, Anthony Gorecki
Details
Another init script (sympa.init,892 bytes, text/plain)
2005-09-20 15:32 UTC, HARGITAI Gabor
Details
Ebuild for sympa 4.1.5 (sympa-4.1.5.ebuild,4.48 KB, text/plain)
2005-09-20 23:31 UTC, Arnaud Launay
Details
sympa-5.1.ebuild (sympa-5.1.ebuild,7.78 KB, text/plain)
2005-11-07 08:59 UTC, Tomoyuki Sakurai (RETIRED)
Details
files/sympa-5.1.Makefile.patch (sympa-5.1.Makefile.patch,1.32 KB, patch)
2005-11-07 09:02 UTC, Tomoyuki Sakurai (RETIRED)
Details | Diff
files/sympa-5.1.no_lazy_bindings.patch (sympa-5.1.no_lazy_bindings.patch,257 bytes, patch)
2005-11-07 09:02 UTC, Tomoyuki Sakurai (RETIRED)
Details | Diff
files/sympa-5.1.gentoo_default_config.patch (sympa-5.1.gentoo_default_config.patch,1.69 KB, patch)
2005-11-07 09:03 UTC, Tomoyuki Sakurai (RETIRED)
Details | Diff
files/sympa-5.1.gentoo_default_config_use_fcgi.patch (sympa-5.1.gentoo_default_config_use_fcgi.patch,496 bytes, patch)
2005-11-07 09:03 UTC, Tomoyuki Sakurai (RETIRED)
Details | Diff
files/sympa-5.1.fix_localedir_Language.pm.patch (sympa-5.1.fix_localedir_Language.pm.patch,477 bytes, patch)
2005-11-07 09:04 UTC, Tomoyuki Sakurai (RETIRED)
Details | Diff
files/sympa-5.1.fix_localedir.patch (sympa-5.1.fix_localedir.patch,1.24 KB, patch)
2005-11-07 10:15 UTC, Tomoyuki Sakurai (RETIRED)
Details | Diff
files/sympa-5.1.utf8_text_encoding.patch (sympa-5.1.utf8_text_encoding.patch,387 bytes, patch)
2005-11-07 10:17 UTC, Tomoyuki Sakurai (RETIRED)
Details | Diff
files/sympa-5.1.initd (sympa-5.1.initd,1013 bytes, text/plain)
2005-11-07 10:18 UTC, Tomoyuki Sakurai (RETIRED)
Details
files/sympa-5.1.apache.conf (sympa-5.1.apache.conf,237 bytes, text/plain)
2005-11-07 10:18 UTC, Tomoyuki Sakurai (RETIRED)
Details
sympa-5.1.2.ebuild (sympa-5.1.2.ebuild,7.97 KB, text/plain)
2005-11-07 10:20 UTC, Tomoyuki Sakurai (RETIRED)
Details
Sympa 5.3.3 overlay (sympa-5.3.3-overlay.tgz,11.00 KB, application/octet-stream)
2007-09-21 19:51 UTC, Marcin Deranek
Details
Sympa 5.3.4 overlay (sympa-5.3.4-overlay.tgz,11.02 KB, text/plain)
2008-01-11 07:52 UTC, Michele Beltrame
Details
Sympa 5.3.4 overlay (sympa-5.3.4-overlay.tgz,11.02 KB, application/octet-stream)
2008-01-11 07:53 UTC, Michele Beltrame
Details
Slightly updated (sympa-5.3.4-r1.tgz,11.60 KB, application/octet-stream)
2008-01-13 19:19 UTC, Marcin Deranek
Details
Sympa 5.4.1 overlay (sympa-5.4.1-overlay.tgz,8.09 KB, application/octet-stream)
2008-04-02 14:47 UTC, Marcin Deranek
Details
Sympa 5.4.3 overlay (sympa-5.4.3-overlay.tgz,10.00 KB, application/octet-stream)
2008-05-19 20:55 UTC, Marcin Deranek
Details
Version bump with correction (sympa-6.0.ebuild,6.12 KB, text/plain)
2010-01-06 22:15 UTC, Vincent-Xavier JUMEL
Details
sympa-ebuild (sympa-6.1.7.ebuild,6.19 KB, text/plain)
2011-09-11 11:50 UTC, Vincent-Xavier JUMEL
Details
sympa-files directory (sympa-file.tar,10.00 KB, application/x-tar)
2011-09-11 11:52 UTC, Vincent-Xavier JUMEL
Details
sympa-6.1.7.ebuild (sympa-6.1.7.ebuild,5.97 KB, text/plain)
2011-09-11 18:53 UTC, Vincent-Xavier JUMEL
Details
sympa-6.1.7.ebuild (sympa-6.1.7.ebuild,5.97 KB, text/plain)
2011-09-11 19:24 UTC, Vincent-Xavier JUMEL
Details
sympa-6.1.7.ebuild (sympa-6.1.7.ebuild,5.69 KB, text/plain)
2011-09-11 19:53 UTC, Vincent-Xavier JUMEL
Details
sympa-6.1.24.ebuild (sympa-6.1.24.ebuild,5.55 KB, text/plain)
2015-08-06 23:16 UTC, Roland Hopferwieser
Details
sympa-6.2.16.ebuild (sympa-6.2.15-r2.ebuild,5.58 KB, text/plain)
2017-01-02 09:32 UTC, Vincent-Xavier JUMEL
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Gorecki 2005-03-25 21:11:25 UTC
Here is a overlay for the above mentioned ebuild. This is tested and working, however there are a few outstanding issues that I'm presently unable to resolve:

1) The init script works, however it does not presently fail as a whole when one of the eindented programs fails to initialize. Similarly, it doesn't seem to be properly capturing the output status of those programs.

2) For whichever reason, $LOCALEDIR doesn't propogate down into the po/ internationalization directory's makefile. I haven't been able to find anything in any of the makefiles that can explain that behavior. As a result, the ebuild manually moves the locale/ directory to the proper location. The program does not, however, recognize that new location because the paths in some of the executables are hardcoded during the installation process; I've chosen not to sed-in the correct paths, pending resolution of the makefile misbehavior.

3) The colors for the web interface are horrifying. At present, it's left to the user to introduce colors that are more pleasing to the eye.

Suggestions and fixes are welcome.
Comment 1 Anthony Gorecki 2005-03-25 21:12:15 UTC
Created attachment 54496 [details]
sympa-5.0_beta1.overlay.tar
Comment 2 Daniel Black (RETIRED) gentoo-dev 2005-03-26 22:03:10 UTC
sounds like its not quite ready yet.
Comment 3 Anthony Gorecki 2005-03-26 22:58:45 UTC
I agree, and it's also a young beta version which would need to stay masked in the tree. With my present work schedule and the application working except for a few relatively minor issues, I may not have the ability to completely stabilize the package without assistance; the application has been requested a number of times, so it's here for anyone who'd care to nurse it back to health and give it a good home.
Comment 4 Seemant Kulleen (RETIRED) gentoo-dev 2005-03-28 07:14:19 UTC
Anthony, please do NOT attach .tars or any binary files -- plain text files (namely, ebuilds and patches) are the ONLY things which need to be attached -- no digests, manifests or changelogs
Comment 5 Anthony Gorecki 2005-03-28 17:53:09 UTC
One tarball is more convenient than /nine/ attachments to satisfy all of the file requirements of the ebuild. Be realistic.
Comment 6 Fernando J. Pereda (RETIRED) gentoo-dev 2005-03-28 23:12:18 UTC
Still nine attachments are preferable over a tarball

Cheers,
Ferdy
Comment 7 Arnaud Launay 2005-07-06 04:09:51 UTC
I've a few customers who use gentoo and want sympa too, I'll have a look at the
ebuild and update it to the latest version of sympa -- maybe also one for the
previous stable, 4.1 ?
Comment 8 Anthony Gorecki 2005-07-06 19:07:17 UTC
I'd appreciate an updated version of the ebuild if a software update has been
released, thanks.

Although I chose Sympa over Mailman, I honestly can't wait to be rid of it. The
program works as expected, but it's design is so utterly horrid that it's
discomforting even to use. That said, others may find the program completely
satisfactory, which is why the ebuild is here in the first place; it does,
however, still need to be cleaned up.
Comment 9 HARGITAI Gabor 2005-09-20 15:31:48 UTC
Sympa 5.1 is out. It isn't easier to install, but it has many improvements. The
already attached ebuild should work. I also wrote an initscrpit, I attach it.
Comment 10 HARGITAI Gabor 2005-09-20 15:32:45 UTC
Created attachment 68890 [details]
Another init script
Comment 11 HARGITAI Gabor 2005-09-20 15:35:42 UTC
Well, maybe RDEPEND isn't perfect, I have this:

DEPEND=">=sys-libs/db-4.1
        >=dev-lang/perl-5.8.0
        >=perl-core/DB_File-1.75
        >=perl-core/Digest-MD5-2.0
        >=dev-perl/MailTools-1.13
        dev-perl/IO-stringy
        >=dev-perl/MIME-tools-5.209
        perl-core/MIME-Base64
        >=perl-core/CGI-2.52
        >=perl-core/File-Spec-0.8
        >=dev-perl/DBI-1.06
        mysql? (>=dev-perl/DBD-mysql-2.0507)
        postgres? (>=dev-perl/DBD-Pg-0.90)
        ldap? (>=dev-perl/perl-ldap-0.10)
        >=dev-perl/FCGI-0.67
        >=dev-perl/Archive-Zip-1.05
        virtual/mta
        >=net-www/apache-1.3
        net-www/mod_fastcgi
        >=dev-perl/IO-Socket-SSL-0.9
        dev-perl/regexp-common
        >=dev-perl/libwww-perl-1.09
        >=dev-perl/Net-SSLeay-1.16
        >=dev-perl/Crypt-CipherSaber-0.50
        net-mail/mhonarc
        dev-perl/XML-LibXML
        dev-perl/libintl-perl
        soap? (>=dev-perl/SOAP-Lite-0.60)
        dev-perl/Template-Toolkit"
Comment 12 Arnaud Launay 2005-09-20 23:31:12 UTC
Created attachment 68913 [details]
Ebuild for sympa 4.1.5

Ebuild for sympa 4.1.5, loosely based on the one for sympa 5; currently in
production at two sites.
Comment 13 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-09-30 22:46:16 UTC
I'm working on 5.1.
the files under ${FILESDIR} fix Gentoo problems, Sympa problems, or yours?
Comment 14 Anthony Gorecki 2005-09-30 22:59:29 UTC
I created those patches and configuration files to address a number of sanity
and build issues with the software.

The first two patches are directly related to the build process, and should be
preserved if possible:
    all-05-skip_extraneous_dep_checking.patch
    all-10-no_lazy_bindings.patch

The remaining three patches turn on UTF-8 text encoding support, stop the
sending of unencrypted account passwords via email, and give some sense of
sanity to the template defaults, respectively.

Be wary of the default configuration files that come with the Sympa tarball. As
I recall, they contained a number of insecurities.
Comment 15 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 08:59:59 UTC
Created attachment 72380 [details]
sympa-5.1.ebuild

sympa-5.1.ebuild: known to work for me
Comment 16 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 09:02:03 UTC
Created attachment 72381 [details, diff]
files/sympa-5.1.Makefile.patch
Comment 17 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 09:02:42 UTC
Created attachment 72382 [details, diff]
files/sympa-5.1.no_lazy_bindings.patch
Comment 18 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 09:03:17 UTC
Created attachment 72383 [details, diff]
files/sympa-5.1.gentoo_default_config.patch
Comment 19 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 09:03:56 UTC
Created attachment 72384 [details, diff]
files/sympa-5.1.gentoo_default_config_use_fcgi.patch
Comment 20 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 09:04:49 UTC
Created attachment 72385 [details, diff]
files/sympa-5.1.fix_localedir_Language.pm.patch
Comment 21 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 10:15:19 UTC
Created attachment 72392 [details, diff]
files/sympa-5.1.fix_localedir.patch
Comment 22 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 10:17:08 UTC
Created attachment 72393 [details, diff]
files/sympa-5.1.utf8_text_encoding.patch
Comment 23 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 10:18:01 UTC
Created attachment 72394 [details]
files/sympa-5.1.initd
Comment 24 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 10:18:49 UTC
Created attachment 72395 [details]
files/sympa-5.1.apache.conf
Comment 25 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 10:20:29 UTC
Created attachment 72396 [details]
sympa-5.1.2.ebuild

sympa-5.1.2.ebuild (not throughly tested)
Comment 26 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 10:22:56 UTC
Comment on attachment 72396 [details]
sympa-5.1.2.ebuild

oops, wrong one.
I'll update 5.2.1 later
do not use this.
Comment 27 Tomoyuki Sakurai (RETIRED) gentoo-dev 2005-11-07 10:32:16 UTC
if you built glibc with userlocale USE and disabled some locales, it cries.

should RDEPEND on fcgi? as it's very slow without fcgi
is it ok to use APACHE2?_MODULES_CONFDIR?

suggestion?
Comment 28 Michele Beltrame 2006-04-12 02:56:50 UTC
Is something for the 5.2 release available? I'd really like to try Sympa, it seems quite interesting. ;-)
Comment 29 Pedro Algarvio 2006-06-29 12:39:30 UTC
Sympa 5.2.1 is out.

Any ebuild arround for sympa 5.2.x???

I'm very interested in sympa too
Comment 30 Warren Howard 2006-07-04 21:26:29 UTC
This is an additional request/encouragement for the development of this ebuild.  I use Sympa on Gentoo and a stable Sympa ebuild would be a valuable addition to Gentoo.

Thanks,


Warren.
Comment 31 Marcin Deranek 2007-09-21 19:51:54 UTC
Created attachment 131552 [details]
Sympa 5.3.3 overlay
Comment 32 Marcin Deranek 2007-09-21 20:07:16 UTC
Some comments regarding Sympa 5.3.3 overlay..

It's mainly based on sympa-5.1.2 ebuild provided here. Some patches were removed as they seem to be already accepted upstream.
Ebuild was only tested with SQLite + Lighttpd configuration, so other configurations (eg. mysql + Apache) might be broken...
SOAP hasn't been tested, so might be broken as well.

Suid wrapper has been added in addition to sudo one provided in Sympa itself.
There are 2 additional patches for SQLite added:
- patch to fix BUG#3136/BUG#3319 (patch already submitted upstream)
- patch to remove broken SQLite upgrade functionality BUG#3305
Some things might be broken as I do not have much experience with ebuilds.
Hope that helps.
Comment 33 Atman Sense 2007-10-24 10:16:53 UTC
(In reply to comment #32)

There is a missing dep on dev-perl/module-build:

>>> Compiling source in /var/tmp/portage/dev-perl/Crypt-CipherSaber-1.00/work/Crypt-CipherSaber-1.00 ...
 * Using Module::Build
 Can't locate Module/Build.pm in @INC
Comment 34 Marcin Deranek 2007-10-24 20:10:25 UTC
Dependencies were missing. Please add the following to ebuilds:

Crypt-CipherSaber:
DEPEND="virtual/perl-Scalar-List-Utils
        dev-perl/version
        >=dev-perl/module-build-0.28
        dev-lang/perl"

MIME-Charset:
DEPEND="dev-lang/perl"

MIME-EncWords:
DEPEND="perl-core/MIME-Base64
        dev-perl/MIME-Charset
        dev-lang/perl"
Comment 35 Marcin Deranek 2007-10-24 20:13:33 UTC
Actually perl-core/MIME-Base64 can be replaced with virtual/perl-MIME-Base64 as seems like MIME::Base64 is included starting with perl-5.8.8.
Comment 36 Hanno Böck gentoo-dev 2007-11-15 11:27:54 UTC
Hi, I'm a dev and I'd be interested in maintaining a sympa-ebuild in-tree.

Anyway, looking at it I think we'll have a long way to go until that. Marcin, I see you're using lot's of patches. We should reduce that, can you make them clean (i.e. not making patches "disable something" but things like "add option to disable something") and send them upstream?
Comment 37 Marcin Deranek 2007-12-01 21:49:50 UTC
Hi Hanno,

Good to hear that.. I should help as well :-)

Regarding patches.. - I have already notified upstream regarding broken / missing things, however I'm not sure if they are already present in 5.3.4 as I did not look there yet.
Comment 38 Marcin Deranek 2007-12-01 22:57:06 UTC
Patches or fixes
* sympa-5.3.date_fix.patch (http://sourcesup.cru.fr/viewvc/viewvc/trunk/wwsympa/wwsympa.fcgi?r1=4625&r2=4628)
* sympa-5.3.sqlite_fix.patch
(http://sourcesup.cru.fr/cgi/viewvc.cgi/trunk/src/SQLSource.pm?r1=4446&r2=4630)
* sympa-5.3.disable_sqlite_upgrade.patch (http://sourcesup.cru.fr/viewvc/viewvc/trunk/src/Upgrade.pm?r1=4578&r2=4631)
were applied to trunk and should show up in 5.4 release. Unfortunately they were not applied to 5.3 tree and we still need to patch it :-( I'll ask developers to include fcgi wrappers as well, so we could get rid of some more of them in upcoming 5.4 release..
Comment 39 Marcin Deranek 2007-12-05 18:30:52 UTC
SUID wrappers have been merged into trunk. Will show up int 5.4 release.

wwsympa:
http://sourcesup.cru.fr/viewvc/viewvc?view=rev&revision=4717

sympa_soap_server:
http://sourcesup.cru.fr/viewvc/viewvc?view=rev&revision=4718

That means we will get rid of another 3 patches..
Comment 40 Hanno Böck gentoo-dev 2008-01-09 19:50:41 UTC
Two notes to cleanup the ebuild more:

- the no_fastcgi-patch is imho not really useful, it just changes a default-configuration-option that can everytime be changed runtime. Makes one useflag less.

- the soap-useflag only installs some sample config and does nothing else. Also imho overkill, just install the sample always and it's fine.
Comment 41 Marcin Deranek 2008-01-11 07:50:07 UTC
Makes sense. Will try to modify it over the weekend..
Comment 42 Michele Beltrame 2008-01-11 07:52:39 UTC
Created attachment 140662 [details]
Sympa 5.3.4 overlay

5.3.3 was not downloadable anymore
Comment 43 Michele Beltrame 2008-01-11 07:53:09 UTC
Created attachment 140663 [details]
Sympa 5.3.4 overlay

5.3.3 was not downloadable anymore
Comment 44 Marcin Deranek 2008-01-11 08:08:53 UTC
BTW: soap use-flag also installs dev-perl/SOAP-Lite perl module. I guess in such case we want to keep it, right ?
Comment 45 Marcin Deranek 2008-01-13 19:19:43 UTC
Created attachment 140893 [details]
Slightly updated

Changes:
- dev-perl modules have proper dependency
- got rid of gentoo_no_fastcgi.patch (replaced with post-install config processing)
- added lighttpd_soap.conf
- all webserver sample configs are copied despite use-flags
- some patches were replaced with upstream equivalent (already applied to trunk)
Comment 46 Marcin Deranek 2008-01-13 21:02:04 UTC
Regarding comment#40:

I don't think we can reduce number of use flags without limiting functionality: all used flags pull some extra packages required by sympa eg. fastcgi -> dev-perl/FCGI; soap -> dev-perl/SOAP-Lite. Indeed no_fastcgi-patch is not that useful and it can be replaced by something else (already taken care of that). 
Comment 47 Marcin Deranek 2008-01-14 18:51:47 UTC
Another patch accepted upstream..

http://sourcesup.cru.fr/viewvc/viewvc/trunk/src/Task.pm?r1=4197&r2=4798
Comment 48 Marcin Deranek 2008-04-02 14:47:53 UTC
Created attachment 148098 [details]
Sympa 5.4.1 overlay

New version bump.
Changes:
- Sympa ebuild cleanup
- Added 2 new HTML-StripScripts* ebuilds to overlay as they are mandatory by Sympa-5.4.x
- Removed obsolete patches
- Added patch to fix SQLite support (already accepted upstream)
Comment 49 François Périchon 2008-05-16 09:40:42 UTC
It seems that by using --prefix=/usr , there is two directories created in /usr.
/usr/arc
/usr/bounce
Shouldn't they be created elsewhere? (/var/lib/sympa or /var/spool/sympa)
Comment 50 Marcin Deranek 2008-05-16 12:08:34 UTC
Which version are you using ?
With the latest all the directories are created in /var/spool/sympa in my case..
Comment 51 François Périchon 2008-05-19 12:00:47 UTC
I am using the 5.4.1 overlay found in this bug thread.
I tried to unmerge sympa and the offending directory disappeared.
They are recreated if I emerge sympa-5.4.1 again.

Here is my emerge --info
Portage 2.1.4.4 (default-linux/amd64/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.21-xen x86_64)
=================================================================
System uname: 2.6.21-xen x86_64 Intel(R) Xeon(R) CPU X5355 @ 2.66GHz
Timestamp of tree: Fri, 16 May 2008 07:15:01 +0000
app-shells/bash:     3.2_p33
dev-lang/python:     2.4.4-r9
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.61-r1
sys-devel/automake:  1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=nocona -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--ask"
FEATURES="ccache distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://mirror.ovh.net/gentoo-distfiles/ http://gentoo.modulix.net/gentoo/ http://ftp.club-internet.fr/pub/mirrors/gentoo"
INSTALL_MASK=""
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_EXTRA_OPTS=""
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl amd64 berkdb cli cracklib crypt cups dri fortran gdbm gpm iconv isdnlog midi mmx mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl sse sse2 ssl tcpd unicode xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i810 mach64 mga neomagic nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 52 Marcin Deranek 2008-05-19 20:48:30 UTC
I could replicate it and I suspect this might be a bug in sympa installation script. Can you try the new version (overlay should come soon) and let me know if that one works fine (I do not see problem with the new version).
Comment 53 Marcin Deranek 2008-05-19 20:55:47 UTC
Created attachment 153695 [details]
Sympa 5.4.3 overlay

Changes:
- Added versioning
- Added dev-perl/MIME-tools & perl-core/CGI as those in portage are not recent enough
- Installation does take into account previous configs when generating a new one
- When ssl and/or clamav flags are set relevant bits of configuration are configured of not done by the use yet.
Comment 54 Marcin Deranek 2008-05-19 21:47:23 UTC
BTW: Looks like sympa-5.4.no-pdf.patch is not needed anymore - early version of sympa-5.4.3 tarball did not include sympa.pdf file. Recently that has been fixed.
Comment 55 François Périchon 2008-05-20 09:41:46 UTC
(In reply to comment #52)
> I could replicate it and I suspect this might be a bug in sympa installation
> script. Can you try the new version (overlay should come soon) and let me know
> if that one works fine (I do not see problem with the new version).
> 

The two directories are no more created in /usr with the 5.4.3 version.
It installed fine.
Comment 56 Michele Beltrame 2008-10-01 16:12:16 UTC
Is Marcin Deranek interested in maintaining Sympa in the perl-experimental section of the Perl Overlay ( http://overlays.gentoo.org/proj/perl/wiki/WikiStart ). If so please ask for a SVN password in #gentoo-perl (FreeNode) and commit it, thanks!
Comment 57 Marcin Deranek 2008-10-13 20:00:57 UTC
I see no problem with that..
Comment 58 Marcin Deranek 2008-10-13 20:23:40 UTC
Looks like version of MIME-EncWords included in the latest overlay (1.009) has some problems (https://sourcesup.cru.fr/tracker/index.php?func=detail&aid=4413&group_id=23&atid=167).
Version 1.010.101 seems to work fine (changing ebuild name is sufficient). In the very same bug report you can find moderation patch (not accepted upstream yet).
Comment 59 James Pic 2008-11-20 14:02:29 UTC
I had to:
chown -R root:sympa /etc/sympa
chmod -R 750 /etc/sympa

Also, change dev-perl/Crypt-CipherSaber/Crypt-CipherSaber-1.00.ebuild to depend on: >=virtual/perl-Module-Build-0.28
See http://sources.gentoo.org/viewcvs.py/gentoo-x86/profiles/updates/4Q-2008?r1=1.4&r2=1.5 Thanks tove@#gentoo-perl for this!

Finally, in /etc/portage/packages.keywords, i needed:
net-mail/sympa
dev-perl/MIME-Charset
virtual/perl-CGI
perl-core/CGI
dev-perl/HTML-StripScripts-Parser
dev-perl/HTML-StripScripts
dev-perl/MIME-EncWords
dev-perl/Crypt-CipherSaber

Thanks for sharing the ebuilds, cheers!
Comment 60 James Pic 2008-11-20 14:04:39 UTC
I still have this filling my logs though:

Nov 20 16:02:45 [task_manager] main::create() creation of /var/spool/sympa/task/1227193365..eval_bouncers._global_
Nov 20 16:02:45 [task_manager] main::create() with model /usr/share/sympa/global_task_models/eval_bouncers.daily.task_
Nov 20 16:02:45 [task_manager] main::execute() Running task /var/spool/sympa/task/1227193305..purge_orphan_bounces._global, line 0 with vars )_
Nov 20 16:02:45 [task_manager] main::purge_orphan_bounces() purge_orphan_bounces()_
Nov 20 16:02:45 [task_manager] main::execute() Error while processing task, removing /var/spool/sympa/task/1227193305..purge_orphan_bounces._global_
Nov 20 16:03:45 [task_manager] main::create() creation of /var/spool/sympa/task/1227193425..purge_orphan_bounces._global_
Nov 20 16:03:45 [task_manager] main::create() with model /usr/share/sympa/global_task_models/purge_orphan_bounces.monthly.task_
Nov 20 16:03:45 [task_manager] main::execute() Running task /var/spool/sympa/task/1227193365..eval_bouncers._global, line 0 with vars )_
Nov 20 16:03:45 [task_manager] main::execute() Error while processing task, removing /var/spool/sympa/task/1227193365..eval_bouncers._global_

I don't know how to fix it (tryed to hack the perl but failed)
Comment 61 Marcin Deranek 2008-11-20 15:20:55 UTC
Have you created any list yet ?
https://sourcesup.cru.fr/tracker/?func=detail&group_id=23&aid=3057&atid=167

Thanks for tips: already incorporated into ebuilds: http://slonko.net/portage/
Comment 62 Marcin Deranek 2008-11-30 15:26:13 UTC
There's a little problem with doing:
chown -R root:sympa /etc/sympa
chmod -R 750 /etc/sympa

It turns out that all queue binaries (invoked by mta from aliases file) have only suid bit set. It means that in such case they run effectively as sympa:nobody (in case of postfix) and they cannot read config files from /etc/sympa dir.

To solve this you either have to make /etc/sympa (and at least sympa.conf) owned by sympa user or add setgid to all queue binaries.
Comment 63 Marcin Deranek 2009-01-15 00:07:07 UTC
New ebuild for the latest sympa (5.4.4) at URL in #61
Comment 64 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-20 16:30:41 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 65 Wolfram Schlich (RETIRED) gentoo-dev 2009-04-20 14:00:07 UTC
*** Bug 25888 has been marked as a duplicate of this bug. ***
Comment 66 Vincent-Xavier JUMEL 2010-01-06 22:15:06 UTC
Created attachment 215437 [details]
Version bump with correction
Comment 67 Vincent-Xavier JUMEL 2010-04-11 18:49:18 UTC
I've got a version bump to 6.0.1 at <http://redmine.thetys-retz.net/projects/overlay/repository/revisions/master/show/net-mail/sympa>
Comment 68 Marcin Deranek 2010-04-11 19:09:35 UTC
BTW: According to http://www.sympa.org/manual/dkim DKIM support was introduced in sympa 6.1, so I don't know if it's of any use in the ebuild ;-)
Comment 69 Vincent-Xavier JUMEL 2011-09-11 11:49:29 UTC
I've got a working sympa-6.1.7 based on the attached ebuild and files.
Comment 70 Vincent-Xavier JUMEL 2011-09-11 11:50:46 UTC
Created attachment 286115 [details]
sympa-ebuild
Comment 71 Vincent-Xavier JUMEL 2011-09-11 11:52:22 UTC
Created attachment 286117 [details]
sympa-files directory
Comment 72 Vincent-Xavier JUMEL 2011-09-11 18:53:46 UTC
Created attachment 286147 [details]
sympa-6.1.7.ebuild

Corrections made after binki's advice
Comment 73 Vincent-Xavier JUMEL 2011-09-11 18:55:04 UTC
Comment on attachment 215437 [details]
Version bump with correction

6.0 series is now obsolete. Sympa development is on 6.1 and 6.2alpha
Comment 74 Felix Schäfer 2011-09-11 19:11:02 UTC
Vincent-Xavier, the latest version of the ebuild in your git repo/overlay has 2 src_compile s and doesn't get configured correctly.
Comment 75 Vincent-Xavier JUMEL 2011-09-11 19:24:53 UTC
Created attachment 286149 [details]
sympa-6.1.7.ebuild
Comment 76 Felix Schäfer 2011-09-11 19:36:10 UTC
VX, could you also prevent at least updates (not sure if new installs need it or if it's generated by sympa as needed) from trying to install /etc/sympa/data_structure.version so that sympa.pl --upgrade doesn't get confused? Thanks!
Comment 77 Vincent-Xavier JUMEL 2011-09-11 19:43:18 UTC
(In reply to comment #76)
> VX, could you also prevent at least updates (not sure if new installs need it
> or if it's generated by sympa as needed) from trying to install
> /etc/sympa/data_structure.version so that sympa.pl --upgrade doesn't get
> confused? Thanks!

I'm going to have a look at this. I was struck to while upgrading from 6.1.5 to 6.1.7.
Comment 78 Vincent-Xavier JUMEL 2011-09-11 19:53:19 UTC
Created attachment 286163 [details]
sympa-6.1.7.ebuild
Comment 79 Vincent-Xavier JUMEL 2011-09-11 19:55:34 UTC
(In reply to comment #77)
> (In reply to comment #76)
> > VX, could you also prevent at least updates (not sure if new installs need it
> > or if it's generated by sympa as needed) from trying to install
> > /etc/sympa/data_structure.version so that sympa.pl --upgrade doesn't get
> > confused? Thanks!
> 
> I'm going to have a look at this. I was struck to while upgrading from 6.1.5 to
> 6.1.7.

It should now be installed at least with the correct permissions and ownership so sympa.pl --upgrade won't complain.
Comment 80 Roland Hopferwieser 2015-08-06 23:16:59 UTC
Created attachment 408436 [details]
sympa-6.1.24.ebuild
Comment 81 Vincent-Xavier JUMEL 2017-01-02 09:30:50 UTC
There's even a package for 6.2.16.
Comment 82 Vincent-Xavier JUMEL 2017-01-02 09:32:15 UTC
Created attachment 458312 [details]
sympa-6.2.16.ebuild